> ## Documentation Index
> Fetch the complete documentation index at: https://help.impactu.colav.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Search APC

> Exports a CSV with APC data of the bibliographic products that match a text search.

## Query parameters

**keywords** `string`

Text to filter the results. With `keywords`, every matching product is
exported, without pagination.

**max** `integer` (default: 10)

Only without `keywords`: rows per page, from 1 to 250.

**page** `integer` (default: 1)

Only without `keywords`: page number, from 1 to 10. Page 11 onwards
returns `400`.

> [!NOTE]
>
> This endpoint returns a CSV file (`Content-Type: text/csv`), not JSON. The name of the downloaded
> file is `search.csv`.

## Response

The response body is a CSV file with the following columns:

| Column | Description |
| - | - |
| `work_doi` | DOI of the product. |
| `work_title` | Title of the product. |
| `source_name` | Name of the journal or source. |
| `source_apc_value` | APC cost published by the journal. |
| `source_apc_currency` | Currency of the journal's cost. |
| `work_apc_value` | APC cost actually paid for this product. |
| `work_apc_currency` | Currency of the actual payment. |

> [!NOTE]
>
> The cost (`source_apc_value`, `work_apc_value`) and currency fields can be
> empty when the information is not available in the database.

```csv 200 theme={null}
work_doi,work_title,source_name,source_apc_value,source_apc_currency,work_apc_value,work_apc_currency
,MODELO DE SISTEMA DE GESTIÓN DE SEGURIDAD DE LA INFORMACIÓN BASADO EN LA NORMA NTC/ISO IEC 27001 PARA INSTITUCIONES DE EDUCACIÓN BÁSICA DE LA COMUNA UNIVERSIDAD DE LA CIUDAD DE PEREIRA,,,,,
,ESTRATEGIAS PARA LA TOMA DE DECISIONES EN EL SECTOR SALUD: CASO ?SIME E.U?,,,,,
```

```json 400 theme={null}
{"error": "Without keywords only the first 10 pages (max 250 works each) can be exported."}
```


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.